Bug 214981 - Cannot correct search tool URLs
Cannot correct search tool URLs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 09:01 EST by David Woodhouse
Modified: 2008-01-16 11:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 10:46:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-11-10 09:01:10 EST
It's often been slightly irksome to me that when I select eBay in the search
tool and search, it takes me to ebay.com instead of ebay.co.uk.

That irritation is _nothing_ compared to the experience of being in China where
google.com doesn't work and you _have_ to use google.cn.

Yet even with added provocation to go looking for a fix instead of just
muttering darkly to myself, I cannot find a way to configure firefox to use the
correct URL.
Comment 1 David Woodhouse 2006-12-13 17:55:09 EST
And now google has decided that my home IP addresses are in Sweden, just because
some of them have reverse DNS of the form netX-YYY.woodhou.se.

And this bug is still in NEW state...
Comment 2 Matěj Cepl 2007-12-10 04:21:50 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:38:45 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}
Comment 4 David Woodhouse 2008-01-16 09:31:17 EST
Yes, it still exists.
Comment 5 Matěj Cepl 2008-01-16 10:46:09 EST
David, I am not sure about eBay, but I am quite sure Firefox is totally innocent
in case of Google (yes, I hate google.cz as well!). Take a look (and reproduce
on your computer) at this example:

[matej@viklef ~]$ lynx -trace http://www.google.com
[matej@viklef ~]$ grep -i ^HTAcc Lynx.trace 
HTAccess: loading document http://www.google.com/
HTAccess:  status=399
HTAccess: 'http://www.google.com/' is a redirection URL.
HTAccess: Redirecting to 'http://www.google.cz/'
HTAccess: loading document http://www.google.cz/
HTAccess:  status=200
HTAccess: `http://www.google.cz/' has been accessed.
[matej@viklef ~]$

I.e., firefox (and lynx here) just do what they are supposed to and follow
redirections given to them by Google. There is no _correct_ URL unless we break
firefox's (and lynx's) compliance with HTTP standards.

This is IMHO truly and honestly NOTABUG and I am closing this as such.
Comment 6 Matěj Cepl 2008-01-16 11:06:47 EST
BTW, not changing anything about the resolution of this bug, but you can use
http://google.com/ncr (no country redirect) to get to the real stuff.

Note You need to log in before you can comment on or make changes to this bug.